import { ObservableMap } from "./ObservableMap.js";
/**
 * Case insensitive implementation of ObservableMap keyed by string.
 */
export declare class CaseInsensitiveObservableMap<V> extends ObservableMap<string, V> {
    private readonly _originalKeys;
    delete(key: string): boolean;
    get(key: string): V;
    set(key: string, value?: V): this;
    has(key: string): boolean;
    keys(): MapIterator<string>;
    entries(): MapIterator<[string, V]>;
    /**
     * @inheritDoc
     */
    [Symbol.iterator](): MapIterator<[string, V]>;
}
